New port: x11-toolkits/nanogui: Minimalistic GUI library for OpenGL
ClosedPublic

Authored by yuri on Dec 28 2017, 6:47 PM.

Details

Summary

Minimalistic GUI library for OpenGL

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
yuri created this revision.Dec 28 2017, 6:47 PM
mat added inline comments.Dec 28 2017, 10:50 PM
x11-toolkits/nanogui/Makefile
40 ↗(On Diff #37149)

Missing EXAMPLES option.

yuri updated this revision to Diff 37169.Dec 28 2017, 11:57 PM

Added the missing OPTIONS_DEFINE=EXAMPLES.

yuri updated this revision to Diff 37170.Dec 28 2017, 11:58 PM

Sorry, EXAMPLES were removed.

yuri marked an inline comment as done.Dec 29 2017, 5:36 PM
tcberner added inline comments.Dec 29 2017, 10:02 PM
x11-toolkits/nanogui/Makefile
5 ↗(On Diff #37170)

^ DISTVERSION

45 ↗(On Diff #37170)

^ why not patch the CMakeLists.txt to install this to the proper location driectly -- always seems less dirty to me :D

tcberner added inline comments.Dec 29 2017, 10:08 PM
x11-toolkits/nanogui/Makefile
45 ↗(On Diff #37170)

more importantly.. shouldn't it be nanogui-python.so.

yuri marked 3 inline comments as done.Dec 29 2017, 10:18 PM
yuri added inline comments.
x11-toolkits/nanogui/Makefile
45 ↗(On Diff #37170)

why not patch the CMakeLists.txt

Because the upstream project isn't yet stable, and such patch is likely going to break.

shouldn't it be nanogui-python.so

It does load into python as it is now. Python binding is currently broken, I reported this upstream, but didn't hear back yet. Also, python binding isn't really important for this project, considering its lack of stability and lack of apps using it. It's an experimental part so far,

yuri marked an inline comment as done.Dec 29 2017, 10:19 PM
tcberner added inline comments.Dec 29 2017, 10:23 PM
x11-toolkits/nanogui/Makefile
45 ↗(On Diff #37170)

if you know it's broken, why install it by default?

mat added inline comments.Dec 29 2017, 10:46 PM
x11-toolkits/nanogui/Makefile
45 ↗(On Diff #37170)

Well, this is exactly why a patch is better than using sed in a post-patch target, or moving things around during post-install.

Because when the file changes enough that the patch does not apply any more, it means you need to check that what you did at the beginning to see if it still applies, or not, or something else need to be done.

When you blindly use sed, you never get noticed that it is obsolete, which is very bad, because it can go on for years, and one day you wonder wtf is these 10 lines of sed doing there that do not do anything at all.

yuri marked an inline comment as done.Dec 29 2017, 10:51 PM
yuri added inline comments.
x11-toolkits/nanogui/Makefile
45 ↗(On Diff #37170)

When you blindly use sed

There is no sed in this case. There is ${MV} in this case. :-)
This ${MV} will break if that file disappeared, or something like that.

yuri marked 3 inline comments as done.Dec 29 2017, 10:52 PM
yuri added inline comments.
x11-toolkits/nanogui/Makefile
45 ↗(On Diff #37170)

I left it "on" because upstream has it "on" by default, also in expectation of it being fixed.

yuri marked 2 inline comments as done.Dec 29 2017, 10:53 PM
yuri added inline comments.
x11-toolkits/nanogui/Makefile
45 ↗(On Diff #37170)

Also, it doesn't break anything else, just breaks itself when run. :)

yuri marked 2 inline comments as done.Dec 30 2017, 6:32 AM
tcberner added inline comments.Dec 31 2017, 3:39 PM
x11-toolkits/nanogui/Makefile
18 ↗(On Diff #37201)

^ are you sure about this one?

yuri marked an inline comment as done.Dec 31 2017, 4:39 PM
yuri added inline comments.
x11-toolkits/nanogui/Makefile
18 ↗(On Diff #37201)

This is a library using the Eigen headers-only library.
It has a dependency on Eigen in a form of #include statements.
So RUN_DEPENDS here is justified.

yuri updated this revision to Diff 37418.Jan 2 2018, 7:05 PM
yuri marked an inline comment as done.

Updating for USES=eigen.

yuri marked an inline comment as done.Jan 8 2018, 10:28 PM
tcberner requested changes to this revision.Jan 15 2018, 4:07 PM
x11-toolkits/nanogui/Makefile
26 ↗(On Diff #37418)

^ This can now be shorter as
CMAKE_OFF=NANOGUI_BUILD_EXAMPLE GLFW_BUILD_EXAMPLES

This revision now requires changes to proceed.Jan 15 2018, 4:07 PM
yuri updated this revision to Diff 38016.Jan 16 2018, 12:07 AM
yuri marked an inline comment as done.

CMAKE_OFF

tcberner accepted this revision.Jan 19 2018, 7:08 PM
This revision is now accepted and ready to land.Jan 19 2018, 7:08 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Jan 27 2018, 8:56 AM
head/x11-toolkits/nanogui/Makefile
4

What is this for exactly?

yuri marked an inline comment as done.Jan 27 2018, 7:02 PM
yuri added inline comments.
head/x11-toolkits/nanogui/Makefile
4

This is a small mistake that I will correct with the next update.